/**
 * @description 设置审核Row的数据内容等
 */

import store from "@/store"
// const degree2Txt = store.getters['enum/getDegreeText']
const maintainTypeList = store.getters['enum/getMaintainText']

const getPayTypeText = store.getters["enum/getPayTypeText"]
const getapplyTypeText = store.getters["enum/getapplyTypeText"]


function getModule1(data){
  const { order_no, department_data, create_at, module_info, apply_user } = data
  // TODO: 待完成
  return [
    {
      title: '审批编号',
      value: order_no
    },
    // 合同编号
    {
      title: '所在部门',
      value: department_data.map(department => (department.name)).join(',')
    },
    {
      title: '申请日期',
      value: create_at
    },
    {
      title: '申请人',
      value: apply_user.name
    },
    {
      title: '申请事由',
      value: module_info.reason
    },
    {
      title: '申购类型',
      value: getapplyTypeText(module_info.type)
    },
    // TODO: 待办
    // 申购明细
    {
      title: '总金额',
      value: module_info.total_amount
    },
    {
      title: '预计申购完成日期',
      value: module_info.apply_date
    },
    {
      title: '附件材料',
      value: "@TODO"
    },
    module_info.images_text.length ? {
      type: 'images',
      title: '图片',
      value: module_info.images_text.map(img => ({
        url: img
      }))
    } : undefined,
    {
      title: '支付方式',
      value: getPayTypeText(module_info.pay_type)
    },
  ]
}

function getModule8(data) {
  const { order_no, department_data, module_info} = data
  return [
    {
      title: '审批编号',
      value: order_no
    },
    {
      title: '所在部门',
      value: department_data.map(department => (department.name)).join(',')
    },
    {
      title: '申请日期',
      value: data.create_at
    },
    {
      title: '维修分类',
      value: maintainTypeList(module_info.type),
    },
    {
      title: '维修地点',
      value: module_info.reason,
    },

    {
      title: '维修内容',
      value: module_info.desc,
    },
    module_info.images_text.length ? {
      type: 'images',
      title: '图片',
      value: module_info.images_text.map(img => ({
        url: img
      }))
    } : undefined,
  ]
}

export const formatApplyforRows = (data) => {
  let type = data.module
  if (typeof type !== 'number') type = Number(type)
  let arrs = []

  switch (type) {
    case 1:
      arrs = getModule1(data)
      break
    case 8:
      arrs = getModule8(data)
      break
  }
  
  // NOTE: 过滤为undefined字段
  return arrs.filter(item => (item))
}
